#ifndef MS3D_TO_GSM_H
#define MS3D_TO_GSM_H

#include <furrycat/furrycat.h>
#include <plib/sg.h>
#include "gsm.h"
#include "gsa.h"
#include "ms3d.h"

#define CONVERTED_NAME "Milkshape"

int ms3d_to_gsm(gsm_t &, ms3d_model_t &);
int ms3d_to_gsm_make_default_bone(bone_t &, unsigned short, unsigned short);
int ms3d_to_gsm_make_default_grippers(gsm_t &);
int ms3d_to_gsm_process_vertices(gsm_t &, ms3d_model_t &);
int ms3d_to_gsm_process_joints(gsm_t &, ms3d_model_t &);
int ms3d_to_gsm_process_triangles(gsm_t &, ms3d_model_t &);
int ms3d_to_gsm_process_materials(gsm_t &, ms3d_model_t &);

#endif
