#include "stl.h"

void cleanup_stls(unsigned short num_stls, stl_t *stls) {
  if (! num_stls || ! stls) return;
  for (unsigned short i = 0; i < num_stls; i++) {
    stl_t &stl = stls[i];
    if (stl.num_triangles && stl.triangles) delete[] stl.triangles;
    stl.num_triangles = 0; stl.triangles = 0;
  }
  delete[] stls;
}
